; Sample PRF file.
; ----------------
; Copyright (C), Microsoft Corporation, 1996.
;
; The following PRF file is included as an example of how to create a PRF file for creating 
; a profile.  Section 1, 2, and 3 may be modified.  DO NOT MODIFY SECTION 4.  It will most
; likely cause exchange services to crash.  Be very careful when editing to ensure property
; values match their property types.



; Section 1 - Profile defaults.

[General]
ProfileName=Default Exchange Profile
DefaultProfile=Yes
OverwriteProfile=Yes
DefaultStore=Service2


; ************************************************************************
; ************************************************************************
; ************************************************************************
; Section 2 - Services and clients in profile.

[Service List]
Service1=Microsoft Mail
Service2=Personal Folders
Service3=Personal Address Book
Service4=Personal Folders
Service5=Microsoft Exchange Server
Service6=Microsoft Exchange Client


; ************************************************************************
; ************************************************************************
; ************************************************************************
; Section 3 - Default values for each service and client.

[Service1]
ServerPath=\\mailserver\mailshare
Mailbox=User1
Password=PASSWORD
RememberPassword=TRUE
SessionLogPath=c:\windows\msmail.txt
NewMailPollInterval=5

[Service2]
PathToPersonalFolders=c:\exchange\mailbox.pst
RememberPassword=TRUE
EncryptionType=0x40000000
Password=

[Service3]
PathToPersonalAddressBook=c:\exchange\mailbox.pab
ViewOrder=1

[Service4]
PathToPersonalFolders=c:\exchange\mailbox2.pst
RememberPassword=TRUE
EncryptionType=0x40000000
Password=

[Service5]
HomeServer=Benji
MailboxName=Exchange Test Acct (Exchange)
ConversionProhibited=TRUE

[Service6]
NotifyPlaySound=TRUE
NotifyChangeCursor=TRUE
NotifyShowPopup=FALSE
WarnOnDelete=TRUE
EmptyWastebasket=TRUE
ShowTooltips=TRUE
SelectEntireWord=TRUE
AfterMoveMessage=0
IncludeMessageText=TRUE
IndentMessageText=TRUE
CloseOriginalMessage=TRUE
GenReadReceipt=FALSE
GenDeliveryReceipt=FALSE
DefaultSensitivity=0
DefaultPriority=1
SaveSentMail=TRUE


; ************************************************************************
; ************************************************************************
; ************************************************************************
; Section 4 - Mapping for profile properties.

; ************************************************************************
; Microsoft Exchange Client definitions

[Microsoft Exchange Client]
SectionGUID=0A0D020000000000C000000000000046

NotifyPlaySound=PT_BOOLEAN,0x0150
;	-- A boolean value indicating whether or not to play a sound when
;	new mail arrives

NotifyChangeCursor=PT_BOOLEAN,0x0151
;	-- A boolean value indicating whether or not to change the cursor
;	when new mail arrives

NotifyShowPopup=PT_BOOLEAN,0x0153
;	-- A boolean value indicating whether or not to show a popup 
;	dialoge when new mail arrives.

WarnOnDelete=PT_BOOLEAN,0x0111
;	-- A boolean value indicating whether or not to warn the user 
;	before permanently deleting items.

EmptyWastebasket=PT_BOOLEAN,0x0115
;	-- A boolean value indicating whether or not to empty the
;	wastebasket on exit.

ShowTooltips=PT_BOOLEAN,0x0166
;	-- A boolean value indicating whether or not to show tooltips
;	on the toolbar

SelectEntireWord=PT_BOOLEAN,0x0118
;	-- A boolean value indicating whether or not to select entire
;	words when selecting.

AfterMoveMessage=PT_LONG,0x013B
;	-- Indicates what to do after moving or deleting a message.
;	Possible values are shown below:
;	0 - Open Next Message
; 	1 - Return to Viewer
; 	2 - Open Previous Message

IncludeMessageText=PT_BOOLEAN,0x0130
;	-- A boolean value indicating whether or not to include text
;	of the original message when replying.

IndentMessageText=PT_BOOLEAN,0x0131
;	-- A boolean value indicating whether or not to indent the
;	text of the original message when replying.

CloseOriginalMessage=PT_BOOLEAN,0x0132
;	-- A boolean value indicating whether or not to close the
;	original message after replying.

GenReadReceipt=PT_BOOLEAN,0x0141
;	-- A boolean value indicating whether or not to generate
;	a read receipt on sent mail.

GenDeliveryReceipt=PT_BOOLEAN,0x014C
;	-- A boolean value indicating whether or not to generate
;	a delivery receipt on sent mail.

DefaultSensitivity=PT_LONG,0x014F
;	-- The default sensitivity to send mail with.
;	Possible values are shown below:
;	0 - Normal
;	1 - Personal
;	2 - Private
;	3 - Confidential

DefaultPriority=PT_LONG,0x0140
;	-- The default priority to send mail with.
;	Possible values are shown below:
;	0 - Low
;	1 - Normal
; 	2 - High

SaveSentMail=PT_BOOLEAN,0x0142
;	-- A boolean value indicating whether to save a copy of
;	sent messages in the sent items folder.

CheckSpelling=PT_BOOLEAN,0x014E
;	-- A boolean value indicating whether or not to check
;	spelling on messages before sending.

SpellAlwaysSuggest=PT_BOOLEAN,0x01D0
;	-- A boolean value indicating whether or not to always
;	suggest alternates on mispelled words.

SpellIgnoreUpper=PT_BOOLEAN,0x01D2
;	-- A boolean value indicating whether or not to 
;	ignore words in all caps when checking spelling.

SpellIgnoreOriginal=PT_BOOLEAN,0x01D3
;	-- A boolean value indicating whether or not to ignore the
;	original text of a reply or forward when checking spelling.



; ************************************************************************
; Microsoft Exchange Server service definitions.

[Microsoft Exchange Server]
ServiceName=MSEMS
MDBGUID=5494A1C0297F101BA58708002B2A2517

MailboxName=PT_STRING8,0x6607
;	-- The name of the user's Exchange Server Mailbox

HomeServer=PT_STRING8,0x6608
;	-- The name of the Microsoft Exchange Server the user should
;	connect to.  You can specify any Microsoft Exchange Server
;	in your site, and the correct Home Server will be assigned 
;	when the user first logs on.

ConversionProhibited=PT_BOOLEAN,0x3A03
;       -- A boolean value indicating whether NEWPROF should
;       attempt to resolve the Exchange mailbox name at run time. 
;       If set to TRUE, NEWPROF will copy the name to the profile
;       without resolving it.
;       If FALSE, the name will be resolved. Invalid server or 
;       mailbox name will not be copied to the profile.


; ************************************************************************
; Microsoft Mail service definitions.

[Microsoft Mail]
ServiceName=MSFS

;      --  The path to the users post office.  Mapped network drives, UNC and NETWARE paths
;          are acceptable.  NETWARE paths of the type NWServer/share:dir\dir1 are converted to 
;          UNC paths of the type \\NWServer\share\dir\dir1. 

ServerPath=PT_STRING8,0x6600

;      --  The users mailbox name.  eg. in a NET/PO/USER address,
;          this is USER.  The maximum mailbox name is 10 characters.

Mailbox=PT_STRING8,0x6601

;      --  The users mailbox password.  The maximum password is 8 characters.

Password=PT_STRING8,0x67f0

;      --  A boolean value indicating whether the users password is
;          to be remembered in the profile or not.  This is useful because
;          if the password is remembered the user can bypass the logon prompt
;          if his server path, mailbox name and password are all supplied.

RememberPassword=PT_BOOLEAN,0x6606

;      --  The connection type.  This may be one of CFG_CONN_AUTO, CFG_CONN_LAN,
;          CFG_CONN_REMOTE, CFG_CONN_OFFLINE as defined below.
;
;          0x0         --  LAN type connection.  Used to connect to the post office using a
;                          UNC path or pre-existing mapped drive.
;          0x1         --  Dial up connection using Dial-up Networking.
;          0x2         --  Not connected.
;          0x3         --  Automatically detect whether the connection type is LAN or REMOTE.
;                          This connection type is only available on Win95.

ConnectionType=PT_LONG,0x6603

;      --  A boolean value indicating whether session logging
;          is on or off.

UseSessionLog=PT_BOOLEAN,0x6604

;      --  The path to the session log file.

SessionLogPath=PT_STRING8,0x6605

;      --  A boolean value which indicates whether mail in the outbox
;          is sent.

EnableUpload=PT_BOOLEAN,0x6620

;      --  A boolean value which indicates whether mail in the server
;          mailbag is downloaded.

EnableDownload=PT_BOOLEAN,0x6621

;      --  A bit array which allows the user to indicate which addresses
;          for which the transport is to attempt delivery.  This is useful
;          in order to allow a user to specify that a transport only handle
;          delivery for a subset of the addresses it can really process.
;          When multiple transports are installed and the user wants a
;          different transport to handle some specific address types they
;          can use this bit array to specify that the MSMAIL transport
;          only handle a specific set of addresses.
;
;          Possible values as defined below include:
;
;          0x00000001      --  Local Post Office and External Post Office address types
;          0x00000002      --  PROFS address types
;          0x00000004      --  SNADS address types
;          0x00000008      --  MCI address types
;          0x00000010      --  X.400 address types
;          0x00000040      --  FAX address types
;          0x00000080      --  MHS address types
;          0x00000100      --  SMTP address types
;          0x00000800      --  OfficeVision address types
;          0x00001000      --  MacMail address types
;          0x000019df      --  All of the above address types

UploadMask=PT_LONG,0x6622

;      --  A boolean value which indicates whether a netbios notification
;          is sent to a recipients transport when mail is delivered to
;          their server inbox.

NetBiosNotification=PT_BOOLEAN,0x6623

;      --  The polling interval in minutes when the transport
;          checks for new mail.  1 <= polling interval <= 9999

NewMailPollInterval=PT_STRING8,0x6624

;      --  A boolean value which, if TRUE, only displays the Microsoft Mail Global Address
;          list for name selection.  The Postoffice list, external post office lists, and gateway
;          address lists are not shown.

DisplayGalOnly=PT_BOOLEAN,0x6625

;      --  A boolean value which indicates whether the user wants to enable
;          headers while working on the LAN.  Headers mode allows the user
;          to download message headers and selectively choose which mail
;          to download.

UseHeadersOnLAN=PT_BOOLEAN,0x6630

;      --  A boolean value which indicates whether the user wants to use
;          name resolution based on a local copy of the server address book
;          rather than the server address book itself.

UseLocalAdressBookOnLAN=PT_BOOLEAN,0x6631

;      --  A boolean value which indicates whether EXTERNAL.EXE, a server process, should be used
;          to deliver submitted mail messages.  This is sometimes useful when mail is running 
;          on a slow LAN connection.

UseExternalToHelpDeliverOnLAN=PT_BOOLEAN,0x6632


;      --  A boolean value which indicates whether the user wants to enable
;          headers while working over a slow speed link.  Headers mode
;          allows the user to download message headers and selectively
;          choose which mail to download.

UseHeadersOnRAS=PT_BOOLEAN,0x6640

;      --  A boolean value which indicates whether the user wants to use
;          name resolution based on a local copy of the server address book
;          rather than the server address book itself.

UseLocalAdressBookOnRAS=PT_BOOLEAN,0x6641

;      --  A boolean value which indicates whether EXTERNAL.EXE, a server process, should be used
;          to deliver submitted mail messages.  This speeds up message delivery when mail is
;          running on a Dial-up network connection.

UseExternalToHelpDeliverOnRAS=PT_BOOLEAN,0x6639

;      --  A boolean value which indicates that a Dial-up Network connection should
;          be established when the transport provider starts up.

ConnectOnStartup=PT_BOOLEAN,0x6642

;      --  A boolean value which indicates that a Dial-up Network connection should
;          be automatically terminated when headers are finished downloading.

DisconnectAfterRetrieveHeaders=PT_BOOLEAN,0x6643

;      --  A boolean value which indicates that a Dial-up Network connection should
;          be automatically terminated after mail has finished being sent
;          received.

DisconnectAfterRetrieveMail=PT_BOOLEAN,0x6644

;      --  A boolean value which indicates that a Dial-up Network connection should
;          be automatically terminated when the provider is exited.

DisconnectOnExit=PT_BOOLEAN,0x6645

;      --  The name of the Dial-up Network profile that the transport will use by
;          default to attempt the connection.

DefaultDialupConnectionName=PT_STRING8,0x6646

;      --  Number of times to attempt dial for connection.
;          1 <= retry attempts <= 9999

DialupRetryCount=PT_STRING8,0x6648

;      --  Delay between retry attempts in seconds.
;          30 <= retry delay <= 9999

DialupRetryDelay=PT_STRING8,0x6649



; ************************************************************************
; Personal Folders service definitions.

[Personal Folders]
ServiceName=MSPST MS
MDBGUID=4e495441f9bfb80100aa0037d96e0000

;      --  Path to personal folders.

PathToPersonalFolders=PT_STRING8,0x6700 

;      --  A boolean value that determines if the personal folders password
;          should be cached.

RememberPassword=PT_BOOLEAN,0x6701

;      --  A value that designates the type of encryption that is used to
;          compress the data in the PST:
;
;          No Encryption              0x80000000
;          Compressable Encryption    0x40000000
;          Best Encryption            0x20000000

EncryptionType=PT_LONG,0x6702

;      --  PST password.

Password=PT_STRING8,0x6703



; ************************************************************************
; Personal Address Book service definitions.

[Personal Address Book]
ServiceName=MSPST AB

;      --  Path to personal address book.

PathToPersonalAddressBook=PT_STRING8,0x6600

;      --  Determines if PAB entries are first, last, or last, first.
;      
;          first last                0
;          last, first               1

ViewOrder=PT_LONG,0x6601





